/**
 * JASMINe Deploy ME [Managed Element]
 * Copyright (C) 2012 Bull S.A.S.
 * Copyright (C) 2012 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IServer.java 9961 2012-03-26 08:27:33Z cazauxj $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.deployme.api;

/**
 * Represents a Server
 * @author Jeremy Cazaux
 */
public interface IServer {

    /**
     * @return the path to the JOnAS root
     */
    String getJonasRoot();

    /**
     * @return the path to the JOnAS base
     */
    String getJonasBase();

    /**
     * @return the name of the server
     */
    String getServerName();

    /**
     * @return the name of the domain
     */
    String getDomainName();
}
